#!/bin/bash
for (( i = 0; i < 4; i++ )); do
	case $i in
		"0")
			TYPE="application/x-gzip"
			EXT=".gzip"
			;;
		"1")
			TYPE="image/jpeg"
			EXT=".jpg"
			;;
		"2")
			TYPE="text/html"
			EXT=".html"
			;;
		"3")
			TYPE="text/x-c"
			EXT=".c"
			;;
	esac
	echo $TYPE $EXT;
	file --mime-type * | grep $TYPE | cut -d ":" -f 1 | \
	while read FILE; 
	do
		mv "$FILE" "$FILE$EXT";
	done;
done;
gcc *.c;
./a.out &> masterball;
